Strophe: XMPP::Stanza Class Reference

Strophe 0.9 XMPP client library

Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes
XMPP::Stanza Class Reference

## Public Member Functions
void | release ()
Stanza * | clone ()
Stanza * | copy ()
int | toText (const char **const buf, size_t *const buflen)
Stanza * | getChildren ()
Stanza * | getChildByName (const char *const name)
Stanza * | getNext ()
char * | getAttribute (const char *const name)
char * | getNamespace ()
char * | getText ()
char * | getName ()
void | addChild (Stanza *child)
void | setNamespace (const char *const ns)
void | setAttribute (const char *const key, const char *const value)
void | setName (const char *const name)
void | setText (const char *const text)
void | setText (const char *const text, const size_t size)
char * | getType ()
char * | getId ()
char * | getTo ()
char * | getFrom ()
void | setType (const char *const type)
void | setId (const char *const id)
void | setTo (const char *const to)
void | setFrom (const char *const from)

## Static Public Member Functions
static Stanza * | create (Context *ctx)

## Private Member Functions
void * | operator new (size_t size, Context *ctx)
void | operator delete (void *p)
| Stanza (Context *ctx)
virtual | ~Stanza ()

## Private Attributes
Context * | m_ctx
xmpp_stanza_t * | m_stanza

## Constructor & Destructor Documentation

## § Stanza()

XMPP::Stanza::Stanza | ( | Context * | ctx | ) |
| private

## § ~Stanza()

virtual XMPP::Stanza::~Stanza | ( |  | ) |
| privatevirtual

## Member Function Documentation

## § operator new()

void* XMPP::Stanza::operator new | ( | size_t | size,
|  | Context * | ctx
| ) |  |
| private

## § operator delete()

void XMPP::Stanza::operator delete | ( | void * | p | ) |
| private

## § create()

static Stanza* XMPP::Stanza::create | ( | Context * | ctx | ) |
| static

## § release()

void XMPP::Stanza::release | ( |  | ) |

## § clone()

Stanza* XMPP::Stanza::clone | ( |  | ) |

## § copy()

Stanza* XMPP::Stanza::copy | ( |  | ) |

## § toText()

int XMPP::Stanza::toText | ( | const char **const | buf,
|  | size_t *const | buflen
| ) |  |

## § getChildren()

Stanza* XMPP::Stanza::getChildren | ( |  | ) |

## § getChildByName()

Stanza* XMPP::Stanza::getChildByName | ( | const char *const | name | ) |

## § getNext()

Stanza* XMPP::Stanza::getNext | ( |  | ) |

## § getAttribute()

char* XMPP::Stanza::getAttribute | ( | const char *const | name | ) |

## § getNamespace()

char* XMPP::Stanza::getNamespace | ( |  | ) |

## § getText()

char* XMPP::Stanza::getText | ( |  | ) |

## § getName()

char* XMPP::Stanza::getName | ( |  | ) |

## § addChild()

void XMPP::Stanza::addChild | ( | Stanza * | child | ) |

## § setNamespace()

void XMPP::Stanza::setNamespace | ( | const char *const | ns | ) |

## § setAttribute()

void XMPP::Stanza::setAttribute | ( | const char *const | key,
|  | const char *const | value
| ) |  |

## § setName()

void XMPP::Stanza::setName | ( | const char *const | name | ) |

## § setText() [1/2]

void XMPP::Stanza::setText | ( | const char *const | text | ) |

## § setText() [2/2]

void XMPP::Stanza::setText | ( | const char *const | text,
|  | const size_t | size
| ) |  |

## § getType()

char* XMPP::Stanza::getType | ( |  | ) |

## § getId()

char* XMPP::Stanza::getId | ( |  | ) |

## § getTo()

char* XMPP::Stanza::getTo | ( |  | ) |

## § getFrom()

char* XMPP::Stanza::getFrom | ( |  | ) |

## § setType()

void XMPP::Stanza::setType | ( | const char *const | type | ) |

## § setId()

void XMPP::Stanza::setId | ( | const char *const | id | ) |

## § setTo()

void XMPP::Stanza::setTo | ( | const char *const | to | ) |

## § setFrom()

void XMPP::Stanza::setFrom | ( | const char *const | from | ) |

## Field Documentation

## § m_ctx

Context* XMPP::Stanza::m_ctx
| private

## § m_stanza

xmpp_stanza_t* XMPP::Stanza::m_stanza
| private

The documentation for this class was generated from the following file:

- strophepp.h